This endpoint retrieves updated appointment details and the status of a single existing appointment. Developers must send a valid appointment_id as input in the request body, and Zocdoc returns the appointment details and status for that appointment. See Appointment Status definitions.
If the appointment was booked with a Zocdoc user credential, only that user will have access to view or modify the appointment. If the appointment was booked with a machine-to-machine credential, the appointment can be viewed and modified by any of the developer's machine-to-machine credentials.
Security
ClientCredentialsFlow(Required scopes: external.appointment.read) or AuthorizationCodeFlow(Required scopes: external.appointment.read)
- Sandboxhttps://api-developer-sandbox.zocdoc.com/v1/appointments/{appointment_id}
- Productionhttps://api-developer.zocdoc.com/v1/appointments/{appointment_id}
curl -i -X GET \
https://api-developer-sandbox.zocdoc.com/v1/appointments/d04b049a-41b1-4aba-9268-d8973cf72cdd \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "request_id": "string", "data": { "appointment_id": "string", "appointment_status": "pending_booking", "developer_patient_id": "string", "is_provider_resource": true, "location_phone_number": "9999999999", "location_phone_extension": "string", "waiting_room_path": "string", "confirmation_type": "auto", "start_time": "2022-04-27T09:00:00-04:00", "created_time_utc": "2024-01-01T09:30:00Z", "last_modified_time_utc": "2024-01-01T09:30:00Z", "provider_location_id": "string", "practice_id": "string", "visit_reason_id": "string", "visit_type": "in_person", "patient_type": "new", "notes": "string", "cancellation_reason": "string", "source": "string" } }